AOZ Studio Beta - Bug #1148

Amiga, Track Volume X control not working (gurus) or internal error

05/11/2023 10:34 PM - malcolm harvey

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Baptiste Bideaux % Done:
Category: Estimated time:
Target version: none

Affected version: 1.0 (u38)

Description

Trakker .xm/mod trying to control volume of them when playing we need correcting or fixed.

Again it used to work and not instantly guru. It was ok in previous versions as well.

°

ii) Track Play "xysong" //works ok

Note: We do have in Amiga manifest Volume which is 0-63 but that does not control .xm/.mod files volume at all tho.

Link below for the issue and screen shots..€

https://discord.com/channels/653893653940404224/691940546553446441/1105258285612924958

i) Track Load "resources/audio/music/xysong.xm" , "xysong" //works ok

iii) Track Volume x // Broken currently (Gurus) needs correcting
iv) Track Stop //works ok (no song parameter but that was how it was).

Note: Also MVolume is to do with banks or .abk so that is no good here either in this way that | can see.

Although it seams to refer that .mod and .xm files loaded into a bank (6 default or 9) so Mvolume pos could work im not sure how

francois did this Volume function, but again either way, it did work previously ok. Currently again broken. Gurus.

Thankyou.

History

#1 - 05/12/2023 12:48 AM - malcolm harvey

Same in u43.

#2 - 05/15/2023 10:40 PM - malcolm harvey

- Status changed from New to Closed

This has now been corrected by Steff. On the git for the next update.
Closed
